Bug 1278845 - Open Folder in Firefox's library opens Baobab
Open Folder in Firefox's library opens Baobab
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
22
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
:
: 1234319 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 09:32 EST by luigi votta
Modified: 2016-07-19 15:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:58:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description luigi votta 2015-11-06 09:32:28 EST
Description of problem: In the Download section of Library window, clicking on Open Folder doesn't open the Folder but Baobab 


Version-Release number of selected component (if applicable):
firefox-42.0-2.fc22.i686

How reproducible:
Always  

Steps to Reproduce:
1. Select Bookmarks -> Show all bookmarks
2. On a downloaded file, click on Open folder
3.

Actual results:
It opens Baobab

Expected results:
It opens the folder containing the file

Additional info:
Comment 1 Jan Horak 2015-11-09 07:44:16 EST
Thanks for bugreport. What kind of desktop environment do you have? which app the command:
xdg-open file:///home/
opens?
Please check content of this directory:
~/.local/share/applications
and try to find custom application handler for opening directories.
Thank you.
Comment 2 luigi votta 2015-11-09 09:47:40 EST
(In reply to Jan Horak from comment #1)
> Thanks for bugreport. What kind of desktop environment do you have? which

I'am running on XFCE. 

> app the command:
> xdg-open file:///home/
> opens?

Thunar

> Please check content of this directory:
> ~/.local/share/applications
> and try to find custom application handler for opening directories.

This was the content of directory:
mimeinfo.cache
The_X_New_Developer__<99>s_Guide:_The_X_Client_Ecosystem.desktop
userapp-Composizione dati-7LRH2X.desktop

that I've deleted. Than I closed/restarted session but the problem is the same.
Also logging with another user has the same problem.  

> Thank you.
Comment 3 Jan Horak 2015-11-09 12:52:37 EST
Hm, this looks fine, please try also:
xdg-mime query default inode/directory
Thank you.
Comment 4 luigi votta 2015-11-09 14:21:14 EST
Hi, this is the output:

org.gnome.Nautilus.desktop
Comment 5 Jan Horak 2015-11-10 07:10:15 EST
This seems to be also okay, I've got another command for you:
python -c 'import gtk;gtk.show_uri(None, "file:///", 0)'
you need to have pygtk2 package installed to be able to perform it. It should open default application for inode/directory content type.
Comment 6 luigi votta 2015-11-10 09:24:50 EST
It opens nothing (visible), but in background it starts  

/usr/bin/baobab --gapplication-service

that exits after few seconds.
Comment 7 Jan Horak 2015-11-10 09:53:47 EST
*** Bug 1234319 has been marked as a duplicate of this bug. ***
Comment 8 Jan Horak 2015-11-10 10:06:06 EST
For reference, in bug 1234319 [1] Jaromir found similar  bug for Ubuntu [2]
and also upstream bug is there [3].
[1] https://bugzilla.redhat.com/show_bug.cgi?id=1234319#c0
[2] https://bugs.launchpad.net/ubuntu/+source/audacious/+bug/1196339
[3] https://bugzilla.mozilla.org/show_bug.cgi?id=893799

It seems that nautilus is probably not installed (is it?) and g_app_info_launch_default_for_uri (which firefox use to open directory) fallbacks to mimeinfo.cache and search for inode/directory entry and firs app which support inode/directory is baobab.
Comment 9 John Ellson 2015-12-17 13:38:17 EST
Same problem on mate desktop on fedora-23.

   $ rpm -q nautilus baobab
   nautilus-3.18.3-1.fc23.x86_64
   baobab-3.18.1-2.fc23.x86_64

Uninstalling baobab fixes the issue so that I can get a nautilus folder window for Places-> Home Folder
Comment 10 Fedora End Of Life 2016-07-19 15:58:57 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.